#include "B4RDefines.h"


namespace B4R
{
	B4RString* rESP8266WiFiAP::StringToB4R(String* o)
	 {
		PrintToMemory pm;
		B4RString* s = B4RString::PrintableToString(NULL);
		pm.print(*o);
		StackMemory::buffer[StackMemory::cp++] = 0;
		return s;
	}

	bool rESP8266WiFiAP::Begin(B4RString* SSID,B4RString* Password,int Channel,bool SSIDHidden,int MaxConnection)
	{
		return WiFi.softAP(SSID->data,Password->data,Channel,SSIDHidden,MaxConnection);
	}

	bool rESP8266WiFiAP::Config(ArrayByte* LocalIPAddress,ArrayByte* Gateway,ArrayByte* Subnet)
	{
		IPAddress ip((Byte*)LocalIPAddress->data);
		IPAddress gatew((Byte*)Gateway->data);
		IPAddress subn((Byte*)Subnet->data);
		return WiFi.softAPConfig(ip,gatew,subn);
	}

	bool rESP8266WiFiAP::Disconnect(bool WifiOFF)
	{
		return WiFi.softAPdisconnect(WifiOFF);
	}

	B4RString* rESP8266WiFiAP::APIPAddress()
	{
		IPAddress ip;
		ip=WiFi.softAPIP();
		return B4RString::PrintableToString(&ip);
	}

	B4RString* rESP8266WiFiAP::MacAddress()
	{
		String s = WiFi.softAPmacAddress();
		return StringToB4R(&s);
	}

}
